Subject: Re: perl scripts, file permissions, and external apps
From: Corinna Vinschen <[email-masked]>
To: Brian Sturk <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 May 2000 10:19:25 +0200

Brian Sturk wrote:
> [...]
> > - Which version of the dll are you using?
> 
> I am using the new "net" release...  There doesn't seem to be
> one central cygwin.dll anymore.

Sorry, I meant, what is the output of `uname -a' but
it's ok now.

> > - What are the permissions of the parent directory of the files?
> 
> drwx------   3 administ Administ     4096 May  4 00:15 scripts/
> 
> > - What are the permissions of the files before editing?
> 
> -rwxrwxrwx   1 administ Administ     7202 May  4 00:15 crash_func.pl*
> 
> > - And after editing?
> 
> -rwx------   1 administ Administ     7202 May  8 23:35 crash_func.pl*
> 

It's the typical NT effect when working as member of the
administrators group. Your privileges are sufficient but
unfortunately you are not owner of the file but the
administrators group. Perl seems to check the permissions
before running a script and it checks them the UXish way.
Only the owner has appropriate privileges to run the
script and you are not the owner.

The simplest way is to change the ACL of the parent
directory. As you can see it's as I mentioned in the
previous mail: The permissions for the new file are
copied from the parent directories ACL.

Suggestion: Try a `chmod 777' on the `scripts' directory.
If you have some special security needs, change the
permissions appropriate.

> I don't use the mouse ( why use vi and a mouse??? :)   ) but I
> compile in some ATL code to drive Visual Studio from vim.

Visual Studio? Is it sth similar to gcc?

Never mind. I have used gvim a long time to be able to
use vim in VS, too.

-- 
Corinna Vinschen
Cygwin Developer
Cygnus Solutions, a Red Hat company

--
Want to unsubscribe from this list?
Send a message to [email-masked]